<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
											xmlns:app="http://schemas.android.com/apk/res-auto"
											xmlns:tools="http://schemas.android.com/tools"
											android:layout_width="match_parent"
											android:layout_height="match_parent"
											tools:context="com.castlabs.sdk.demos.AbrPlaybackDemo">

	<FrameLayout
		android:id="@+id/frameLayout"
		android:layout_width="0dp"
		android:layout_height="0dp"
		android:background="#000000"
		app:layout_constraintDimensionRatio="H,16:9"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent">

		<com.castlabs.android.player.PlayerView
			android:id="@+id/player_view"
			android:layout_width="match_parent"
			android:layout_height="match_parent"
			android:layout_gravity="center" />

		<com.castlabs.sdk.playerui.PlayerControllerProgressBar
			android:id="@+id/progress_bar"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_gravity="center"
			android:visibility="gone"
			tools:visibility="visible" />

		<com.castlabs.sdk.playerui.PlayerControllerView
			android:id="@+id/player_controls"
			android:layout_width="match_parent"
			android:layout_height="wrap_content"
			android:layout_gravity="bottom"
			android:layout_marginStart="8dp"
			android:layout_marginLeft="8dp"
			android:layout_marginEnd="8dp"
			android:layout_marginRight="8dp"
			app:animation_enabled="false"
			app:auto_hide="true"
			app:toggle_visibility="false"
			app:controller_layout_id="@layout/cl_player_controls_debug"
			app:layout_constraintEnd_toEndOf="parent"
			app:layout_constraintStart_toStartOf="parent"
			app:layout_constraintTop_toBottomOf="@+id/frameLayout" />

	</FrameLayout>

	<TextView
		android:id="@+id/rateLimitLabel"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		android:layout_marginLeft="8dp"
		android:layout_marginTop="8dp"
		android:text="Rate Limit: disabled"
		app:layout_constraintStart_toEndOf="@+id/reloadBtn"
		app:layout_constraintTop_toBottomOf="@+id/frameLayout" />

	<com.google.android.material.slider.Slider
		android:id="@+id/rateLimitBar"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		android:layout_marginLeft="8dp"
		android:layout_marginEnd="8dp"
		android:layout_marginRight="8dp"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toEndOf="@+id/reloadBtn"
		app:layout_constraintTop_toBottomOf="@+id/rateLimitLabel" />

	<com.google.android.material.button.MaterialButton
		android:id="@+id/reloadBtn"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_margin="8dp"
		android:src="@drawable/cl_ic_autorenew_black_24dp"
		android:text="Restart"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/frameLayout" />

	<androidx.viewpager.widget.ViewPager
		android:id="@+id/viewPager"
		android:layout_width="0dp"
		android:layout_height="0dp"
		android:layout_marginTop="8dp"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/tabLayout" />

	<com.google.android.material.tabs.TabLayout
		android:id="@+id/tabLayout"
		android:layout_width="0dp"
		android:layout_height="wrap_content"
		android:layout_marginTop="8dp"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/rateLimitBar">

		<com.google.android.material.tabs.TabItem
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="Left" />

		<com.google.android.material.tabs.TabItem
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="Center" />

		<com.google.android.material.tabs.TabItem
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:text="Right" />
	</com.google.android.material.tabs.TabLayout>


</androidx.constraintlayout.widget.ConstraintLayout>

